#!/usr/bin/env bash

CUBIT_ROOT="$(readlink -f $(dirname "${BASH_SOURCE[0]}"))"

INSTALL_MOUNT=true
if [[ "$1" == "--one-disk" ]]; then
  INSTALL_MOUNT=false
fi

install -m 644 "${CUBIT_ROOT}/services/citadel-startup.service" "/etc/systemd/system/citadel-startup.service"
if [[ "${INSTALL_MOUNT}" == "false" ]]; then
  sed -i '/Requires=citadel-external-storage.service/d' "/etc/systemd/system/citadel-startup.service"
  sed -i '/After=citadel-external-storage.service/d' "/etc/systemd/system/citadel-startup.service"
else
    install -m 644 "${CUBIT_ROOT}/services/citadel-external-storage.service" "/etc/systemd/system/citadel-external-storage.service"
    systemctl enable "citadel-external-storage.service"
fi
systemctl enable "citadel-startup.service"

echo "CITADEL_OS_CUBIT=0.0.1" > /etc/default/citadel
